Skip to main content
GET
/
v2
/
offer
curl -X GET \
  'https://api.appcharge.com/v2/offer?publisherOfferIds=daily-bonus-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "totalCount": 1,
  "offers": [
    {
      "offerId": "223b4cc89711ac",
      "publisherOfferId": "daily-bonus-1",
      "name": "My Daily Bonus",
      "type": "PopUp",
      "subType": "DailyBonus",
      "displayName": "My Daily Bonus",
      "description": "This is my daily bonus description.",
      "type": "string",
      "active": true,
      "segments": [
        "New User"
      ],
      "offerUi": {
        "offerUiId": "68b41c4aa1c5b1a284737e9b",
        "active": true,
        "offerUiType": "PopUp",
        "offerUiSubType": "DailyBonus",
        "name": "popup",
        "description": "description",
        "backgroundImage": "https://media.appcharge.com/media/75cb7861ec8924a63338-5790-47c8-a6a0-23cb43db5883",
        "buttonSuffixImage": "",
        "buttonSuffixAnimation": "",
        "specialOffer": {
          "templateType": "Single",
          "presentOfferEndTimer": false,
          "title": "jrwtnip",
          "fontSize": 620,
          "fontWeight": "normal",
          "fontColor": {
            "colorOne": "#ffffff"
          },
          "subTitle": {
            "text": "",
            "fontSize": 16,
            "fontWeight": "normal",
            "fontColor": {
              "colorOne": "#ffffff"
            }
          },
          "backgroundColor": {
            "colorOne": "#CACBD4"
          }
        },
        "borderColor": {
          "colorOne": "#e70d0d",
          "colorTwo": "",
          "direction": ""
        },
        "borderWidth": 10,
        "externalId": "popup"
      },
      "productsSequence": [
        {
          "index": 1,
          "products": [
            {
              "product": {
                "publisherProductId": "TreasureChest",
                "name": "Treasure Chest",
                "type": "Quantity",
                "prefix": "$",
                "suffix": "M",
                "priority": "Main",
                "images": [
                  {
                    "type": "product",
                    "url": "https://media.appcharge.com/media/35nb7861ec9924a6b69a0fe59/2208472.png"
                  },
                  {
                    "type": "productPrefix",
                    "url": ""
                  }
                ],
                "displayName": "Treasure Chest"
              }
            }
          ]
        }
      ],
      "badges": [
        {
          "publisherBadgeId": "22ac77ff889b"
        }
      ],
      "productSale": {
        "type": "percentage",
        "sale": 10
      },
      "priceDiscount": {
        "type": "percentage",
        "discount": 10
      },
      "createdAt": "2025-04-06T10:00:44.528Z",
      "updatedAt": "2025-04-06T10:00:44.528Z"
    }
  ]
}
curl -X GET \
  'https://api.appcharge.com/v2/offer?publisherOfferIds=daily-bonus-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "totalCount": 1,
  "offers": [
    {
      "offerId": "223b4cc89711ac",
      "publisherOfferId": "daily-bonus-1",
      "name": "My Daily Bonus",
      "type": "PopUp",
      "subType": "DailyBonus",
      "displayName": "My Daily Bonus",
      "description": "This is my daily bonus description.",
      "type": "string",
      "active": true,
      "segments": [
        "New User"
      ],
      "offerUi": {
        "offerUiId": "68b41c4aa1c5b1a284737e9b",
        "active": true,
        "offerUiType": "PopUp",
        "offerUiSubType": "DailyBonus",
        "name": "popup",
        "description": "description",
        "backgroundImage": "https://media.appcharge.com/media/75cb7861ec8924a63338-5790-47c8-a6a0-23cb43db5883",
        "buttonSuffixImage": "",
        "buttonSuffixAnimation": "",
        "specialOffer": {
          "templateType": "Single",
          "presentOfferEndTimer": false,
          "title": "jrwtnip",
          "fontSize": 620,
          "fontWeight": "normal",
          "fontColor": {
            "colorOne": "#ffffff"
          },
          "subTitle": {
            "text": "",
            "fontSize": 16,
            "fontWeight": "normal",
            "fontColor": {
              "colorOne": "#ffffff"
            }
          },
          "backgroundColor": {
            "colorOne": "#CACBD4"
          }
        },
        "borderColor": {
          "colorOne": "#e70d0d",
          "colorTwo": "",
          "direction": ""
        },
        "borderWidth": 10,
        "externalId": "popup"
      },
      "productsSequence": [
        {
          "index": 1,
          "products": [
            {
              "product": {
                "publisherProductId": "TreasureChest",
                "name": "Treasure Chest",
                "type": "Quantity",
                "prefix": "$",
                "suffix": "M",
                "priority": "Main",
                "images": [
                  {
                    "type": "product",
                    "url": "https://media.appcharge.com/media/35nb7861ec9924a6b69a0fe59/2208472.png"
                  },
                  {
                    "type": "productPrefix",
                    "url": ""
                  }
                ],
                "displayName": "Treasure Chest"
              }
            }
          ]
        }
      ],
      "badges": [
        {
          "publisherBadgeId": "22ac77ff889b"
        }
      ],
      "productSale": {
        "type": "percentage",
        "sale": 10
      },
      "priceDiscount": {
        "type": "percentage",
        "discount": 10
      },
      "createdAt": "2025-04-06T10:00:44.528Z",
      "updatedAt": "2025-04-06T10:00:44.528Z"
    }
  ]
}

Headers

x-publisher-token
string
required

The publisher token used for authentication.

Query Parameters

publisherOfferIds
string
required

The unique identifier for the offer. To retrieve multiple daily bonuses, separate them with a comma.

Example:

"daily-bonus-1,daily-bonus-2"

Response

Daily Bonus retrieved successfully.

totalCount
number

Total number of matching offers.

offers
object[]